2019-12-10 03:16 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001329FSSCPgameplaypublic2007-09-01 09:58
Reporterthesource2 
Assigned ToShade 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001329: super-nova-start failes if there was sun-remove calls before it even if there is suns in the system left
DescriptionHere's the situation. In sm3-10 I add green sun in the same place as the Capella sun to make it look like super portal. 13 seconds after it I remove green sun (note - gold sun (Capella) is present!) and in 2 more seconds call super-nova-start. No super nova occurs. Please, reply asap! This bug halted my freespace2 upgrade progress :(
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007849

taylor (administrator)

Attach the mission in question, it's far easier to figure out what's going when we can test with something.

~0007850

thesource2 (reporter)

Here you go. I have one idea: it looks like add-sun-image adds sun to the beginning of the list. Perhaps remove-sun-image does not reassign sun id's after removal of sun from the beginning of the list so super-nova-start can not find the first sun in the list

~0007851

taylor (administrator)

Suns are always added to the back, and never actually removed. They just are set to not render in the case of being removed, since we can't change the index offsets during a mission.

But having looked at the mission, and testing it, it just proves what I thought it was going to be: you can only do a supernova with one sun. You add an extra sun, which screws up the supernova processing and it will never trigger. And since the added sun is never fully removed, it still figures as a sun when counted, and so the supernova code sees two suns as being available in the mission and then fails to initiate.

~0007852

thesource2 (reporter)

Damn. Maybe I should use green bitmap instead of sun then.
However, it would really be nice if supernova can be started with first sun in the list no matter if there are other suns in system.

~0007854

thesource2 (reporter)

How to add my own bitmaps? I can only choose standard ones. May be I need to add something into some tbl?

Anyway, looks like bitmaps are rendered behind suns so it won't help. You are my last hope.

~0007857

Goober5000 (administrator)

I thought the supernova code was fixed to only work with the first sun in a mission?

~0007858

thesource2 (reporter)

I would be really great if it was true, but like taylor said, it only works with a single sun

~0007859

taylor (administrator)

"I thought the supernova code was fixed to only work with the first sun in a mission?"

I remember asking the person who supposedly made the change what they had done, but never got a response. I have just never found any change in the code, or CVS logs, which actually deals with this. The supernova code is kinda hastily done, and I don't really like any bit of it, but I don't have time to work on fixing all of that myself.

I know that there are at least two ways around this problem, 1) being to just have the supernova work on the first sun only but not really care about the number of suns in a mission, and 2) being a change to the starfield code that I don't intend to make (nor should anyone else make it).

~0007860

ARSPR (reporter)

If "some day" "someone" tweaks the supernova code, please take in mind this related issue: 0001132. I mean if it is possible to make the supernova sun still blind the player.

~0007861

thesource2 (reporter)

This "some day" shoulbe really soon. Until then my upgraded final mission is unplayable. I currently switched to adding LS Nebulas but I really need something to be done about this bug.

~0008388

Shade (developer)

Last edited: 2007-08-18 04:08

Better late than never, I guess.

"I thought the supernova code was fixed to only work with the first sun in a mission?"

Sort of. I posted a fix once to make it work if there were multiple suns in a mission, and as a part of that, also to only work on one sun. Which would probably fix this bug. I never had CVS access though and I guess noone actually committed it for me since this issue is still here. I'll dig around and see if I can find the code.

[Edit] Found it, and brought it into line with 3.6.9. Uploaded a test build with the changes here: http://www.badongo.com/file/4075900 ; Also attaching a diff vs the current 3.6.9 branch so we can hopefully kill this bug.

~0008457

Shade (developer)

Fixed. Supernova-start will now work if there are multiple suns in a mission.
+Notes

-Issue History
Date Modified Username Field Change
2007-03-14 17:58 thesource2 New Issue
2007-03-14 22:30 taylor Note Added: 0007849
2007-03-15 05:44 thesource2 File Added: sm3-10.fs2
2007-03-15 05:46 thesource2 Note Added: 0007850
2007-03-15 06:56 taylor Note Added: 0007851
2007-03-15 07:02 thesource2 Note Added: 0007852
2007-03-15 16:51 thesource2 Note Added: 0007854
2007-03-15 17:26 Goober5000 Note Added: 0007857
2007-03-15 17:48 thesource2 Note Added: 0007858
2007-03-15 18:09 taylor Note Added: 0007859
2007-03-16 13:49 ARSPR Note Added: 0007860
2007-03-16 14:05 thesource2 Note Added: 0007861
2007-08-18 03:20 Shade Note Added: 0008388
2007-08-18 04:07 Shade Note Edited: 0008388
2007-08-18 04:08 Shade Note Edited: 0008388
2007-08-18 04:09 Shade File Added: supernova_fix.zip
2007-08-18 10:32 Turey Status new => assigned
2007-08-18 10:32 Turey Assigned To => Shade
2007-09-01 09:58 Shade Status assigned => resolved
2007-09-01 09:58 Shade Fixed in Version => 3.6.10
2007-09-01 09:58 Shade Resolution open => fixed
2007-09-01 09:58 Shade Note Added: 0008457
+Issue History